org.apache.tinkerpop.gremlin.process.traversal

## Enum GraphOp

- java.lang.Object
- - java.lang.Enum<GraphOp>
  - - org.apache.tinkerpop.gremlin.process.traversal.GraphOp

- All Implemented Interfaces:
    Serializable, Comparable<GraphOp>

      public enum GraphOp
      extends Enum<GraphOp>

  A `GraphOp` or "graph operation" is a static `Bytecode` form that does not translate to a traversal but instead refers to a specific function to perform on a graph instance.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `TX_COMMIT` Commit a transaction.
    `TX_ROLLBACK` Rollback a transaction.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Bytecode bc)`
    `Bytecode` | `getBytecode()` Gets the `Bytecode` that represents this graph operation.
    `static GraphOp` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static GraphOp[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### TX_COMMIT

          public static final GraphOp TX_COMMIT

      Commit a transaction.

    - #### TX_ROLLBACK

          public static final GraphOp TX_ROLLBACK

      Rollback a transaction.

  - ### Method Detail

    - #### values

          public static GraphOp[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (GraphOp c : GraphOp.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static GraphOp valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getBytecode

          public Bytecode getBytecode()

      Gets the `Bytecode` that represents this graph operation. There is no notion of immutable bytecode instances so it is important that the object returned here is not modified. If they are changed, the operations will no longer be recognized. In a future version, we should probably introduce the concept of immutable bytecode to prevent this possibility - https://issues.apache.org/jira/browse/TINKERPOP-2545

    - #### equals

          public boolean equals(Bytecode bc)

Copyright © 2013–2021 Apache Software Foundation. All rights reserved.